Subject: Re: bug#43783: ssh-copy-id: line 254: /dev/null`: Permission denied
From: Marius Bakke <[email-masked]>
To: Nathan Dehnel <[email-masked]>, [email-masked]
Date: Wed, 09 Dec 2020 00:31:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Nathan Dehnel <[email-masked]> skriver:

> ssh-copy-id errors out and then does not install the key
>
> bash-5.0$ ssh-copy-id pi@raspberrypi
> /home/nathan/.guix-profile/bin/ssh-copy-id: INFO: attempting to log in with
> the new key(s), to filter out any that are already installed
> /home/nathan/.guix-profile/bin/ssh-copy-id: INFO: 2 key(s) remain to be
> installed -- if you are prompted now it is to install the new keys
> /home/nathan/.guix-profile/bin/ssh-copy-id: line 251: warning:
> here-document at line 251 delimited by end-of-file (wanted `EOF')
> /home/nathan/.guix-profile/bin/ssh-copy-id: line 250: warning:
> here-document at line 250 delimited by end-of-file (wanted `EOF')
> /home/nathan/.guix-profile/bin/ssh-copy-id: line 254: /dev/null`:
> Permission denied
> /home/nathan/.guix-profile/bin/ssh-copy-id: line 260: EOF: command not found

This was fixed by Jesse in 81fbe03b509414aa1ede960141a7ffd241d5f9ee.

Thanks for the report!